Bug 553356 - restart/logout notification are shown before update completes
restart/logout notification are shown before update completes
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kpackagekit (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Steven M. Parrish
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-07 12:42 EST by Dmitry Torokhov
Modified: 2010-12-03 19:44 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 513755
Environment:
Last Closed: 2010-12-03 19:44:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dmitry Torokhov 2010-01-07 12:42:55 EST
+++ This bug was initially created as a clone of Bug #513755 +++

Description of problem:

When updating packages that require a restart (or a logout/login) with packagekit, notifications appear before the end of the yum upgrade.

...

Cloning this as I am unable to reopen the original report and the problem still happens in FC12, even though kpackagekit moved from 0.4 to 0.5.2 (which was suggested should have fixed the issue).
Comment 1 Steven M. Parrish 2010-01-12 08:41:01 EST
Upstream is aware of this issue and a fix is pending.

This bug has been triaged

Steven M. Parrish
KDE & Packagekit Triager 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Oliver Henshaw 2010-03-24 07:29:01 EDT
I hadn't seen this for a while, but it re-appeared after updating to PackageKit-0.5.7-1.fc12.i686 (with kpackagekit remaining at nvr 0.5.4-2.fc12.i686).

The new twist is that "The system update has completed" notification comes at the same time as the "Additional changes are required to complete the task" dialog. Here is console out put from kpackagekit up till that point.


$ kpackagekit
KPackageKit(2865) kpackagekit::KPackageKit::newInstance: SHOW UI!
Connecting to deprecated signal QDBusConnectionInterface::serviceOwnerChanged(QString,QString,QString)
KPackageKit(2865) KpkAddRm::setCurrentAction:
removing transaction from pool :  "/3363_ddcdbadd_data" 
removing transaction from pool :  "/3364_dccceded_data" 
removing transaction from pool :  "/3365_eabcdbca_data" 
enumFromString ( State ) : converted "" to "UnknownState" , enum value 0 
enumFromString ( State ) : converted "" to "UnknownState" , enum value 0 
enumFromString ( State ) : converted "" to "UnknownState" , enum value 0 
enumFromString ( State ) : converted "" to "UnknownState" , enum value 0 
enumFromString ( State ) : converted "" to "UnknownState" , enum value 0 
enumFromString ( State ) : converted "" to "UnknownState" , enum value 0 
enumFromString ( State ) : converted "" to "UnknownState" , enum value 0 
enumFromString ( State ) : converted "" to "UnknownState" , enum value 0 
removing transaction from pool :  "/3366_aabbebdc_data" 
KPackageKit(2865): Failed to lock file "/var/tmp/kdecache-henshaw/kpc/kde-icon-cache.lock" , last result = 1
Comment 3 Gilboa Davara 2010-06-05 03:19:29 EDT
Just saw it on brand new F13 installation.
Comment 4 Kevin Kofler 2010-06-05 04:06:25 EDT
Yes, this affects both fully updated F12 and F13 with or without updates.
Comment 5 Kyle Pablo 2010-06-14 13:07:55 EDT
Yes, I can confirm this occurs on F13 too.
Comment 7 Bug Zapper 2010-11-03 21:37:55 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2010-12-03 19:44:44 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.